Request Apple Pay payment session

When integrating Apple Pay in your own checkout on the web, you need to provide merchant validation. This is normally done using Apple's Requesting an Apple Pay Session. The merchant validation proves to Apple that a validated merchant is calling the Apple Pay Javascript APIs.

To integrate Apple Pay via Mollie, you will have to call the Mollie API instead of Apple's API. The response of this API call can then be passed as-is to the completion method, completeMerchantValidation.

Before requesting an Apple Pay Payment Session, you must place the domain validation file on your server at: https://[domain]/.well-known/apple-developer-merchantid-domain-association. Without this file, it will not be possible to use Apple Pay on your domain.

Each new transaction requires a new payment session object. Merchant session objects are not reusable, and they expire after five minutes.

Payment sessions cannot be requested directly from the browser. The request must be sent from your server. For the full documentation, see the official Apple Pay JS API documentation.

Access with

API key

Organization access token with payments.write

OAuth access with payments.write

Body Params
string
required

The validationUrl you got from the ApplePayValidateMerchant event.

A list of all valid host names for merchant validation is available. You should white list these in your application and reject any validationUrls that have a host name not in the list.

string
required

The domain of your web shop, that is visible in the browser's location bar. For example pay.myshop.com.

string | null

The identifier referring to the profile this entity belongs to.

Most API credentials are linked to a single profile. In these cases the profileId must not be sent in the creation request. For organization-level credentials such as OAuth access tokens however, the profileId parameter is required.

Responses

Language
Credentials
LoadingLoading…
Response
Choose an example:
application/hal+json